### Enumeration

# Ggit SortMode

#### Declaration

    flags Ggit.SortMode

#### Description [src]

The type of sorting mode for the revision walker.

#### Members

Name | Description
--- | ---
`GGIT_SORT_NONE` | Sorts the repository contents in no particular ordering; this sorting is arbitrary, implementation-specific and subject to change at any time.
`GGIT_SORT_TOPOLOGICAL` | Sorts the repository contents in topological order (parents before children); this sorting mode can be combined with time sorting.
`GGIT_SORT_TIME` | Sort the repository contents by commit time; this sorting mode can be combined with topological sorting.
`GGIT_SORT_REVERSE` | Iterate through the repository contents in reverse order; this sorting mode can be combined with any of the above.